"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.request = void 0;
const isomorphic_unfetch_1 = __importDefault(require("isomorphic-unfetch"));
async function request(url, json = false, method = "GET", headers, body) {
    if (!url)
        throw Error;
    else {
        let requestToSend;
        try {
            let options = { method, headers };
            if (method === "POST")
                options.body = body;
            let bungieRequest = await (0, isomorphic_unfetch_1.default)(url, options);
            requestToSend = json
                ? await bungieRequest.json()
                : await bungieRequest.text();
        }
        catch (e) {
            requestToSend = { error: true, message: e.message };
        }
        return requestToSend;
    }
}
exports.request = request;
