import { APIResponse } from "../../types/api";
import { Tokens } from "../../types/general";
import { ApiUsage, Application } from "../../types/interface";
export declare class App {
    private url;
    private headers;
    constructor(url: string, headers: {
        [key: string]: string;
    });
    /**
     * Get API usage by application for time frame specified.
     * @param applicationId ID of the application to get usage statistics.
     * @param queryString The optional querystrings that can be applied.
     * @param tokens The optional tokens that can be applied.
     * @returns API usage by application for time frame specified
     */
    GetApplicationApiUsage(applicationId: number, queryString?: {
        end?: string;
        start?: string;
    }, tokens?: Tokens): Promise<APIResponse<ApiUsage>>;
    /**
     * Get list of applications created by Bungie.
     * @returns List of applications created by Bungie.
     */
    GetBungieApplications(): Promise<APIResponse<Application[]>>;
}
