"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommunityContent = void 0;
const http_request_1 = require("../../adapters/http-request");
class CommunityContent {
    url;
    headers;
    constructor(url, headers) {
        this.url = url;
        this.headers = headers;
    }
    /**
     * Returns community content.
     * @param mediaFilter The type of media to get
     * @param page Zero based page
     * @param sort The sort mode.
     * @returns Community content.
     */
    GetCommunityContent(mediaFilter, page, sort) {
        const requestURL = `${this.url}/CommunityContent/Get/${sort}/${mediaFilter}/${page}/`;
        return (0, http_request_1.request)(requestURL, true, "GET", this.headers);
    }
}
exports.CommunityContent = CommunityContent;
